:: ================================================
:: Das sind verschiedene Möglichkeiten das Programm
:: zu starten, die anderen Aufrufe sind auskommentiert
:: der Pfad zum Programm "PFAD" muss angepasst werden
:: Durch Entfernen des "::" vor einer Zeile wird die 
:: Zeile als Befehl interpretiert.
:: Durch Schreiben eines "::" zu Beginn einer Zeile wird 
:: diese nicht mehr als Befehl interpretiert.



:: Start in einer extra Dos-Box die minimiert startet
:: Die Parameter "-Xms128M -Xmx1G" helfen bei geringem Arbeitsspeicher. 
start /min javaw -Xms128m -Xmx1024m -jar "C:\Users\PFAD\FileRunner.jar"




:: Damit lässt sich das Programm mit sehr wenig
:: Speicher starten, und auch ohne Einschränkung anwenden.
:: Nachdem FileRunner neu gestartet wird, versuchen sie es hiermit:
:: java -Xms128M -Xmx256M -jar ./FileRunner.jar



:: Start mit mehr Speicher für das Programm
:: java -Xms128M -Xmx2G -jar "C:\Users\PFAD\FileRunner.jar"



:: Start mit Pfad zu Java
:: "%path-to-32-Bit-java%\javaw.exe"  -Xms128M -Xmx1G -jar "C:\Users\PFAD\FileRunner.jar"



:: "Einstellungen/.filerunner" legt den Ort relativ zur Datei "FileRunner.jar"
:: im Programmordner fest. Wer keine portablen Einstellungen verwenden will,
:: löscht diese Zeichenfolge. Wer die Programm-Einstellungen zum Beispiel auf das
:: Laufwerk D: legen will, kann alternativ einen entsprechenden Pfad angeben,
:: z.B. "D:\FileRunner\Einstellungen\.filerunner". Die Ordner "Einstellungen" bzw.
:: "FileRunner" müssen vorhanden sein bzw. zuerst erstellt werden.
:: start javaw -Xms128M -Xmx1G -jar FileRunner.jar "Einstellungen\.filerunner" exit



:: Es wird ein Proxyserver verwendet.
:: java -jar -Dhttp.proxyHost=proxyserver -Dhttp.proxyPort=8080 "C:\Users\PFAD\FileRunner.jar"



:: Weitere Infos können z.B. hier gefunden werden
:: https://docs.oracle.com/javase/7/docs/api/java/net/doc-files/net-properties.html
:: https://docs.oracle.com/javase/8/docs/technotes/tools/windows/java.html


